com.verisign.epp.serverstub

## Class NamestoreExtDomainHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPDomainHandler
  - - com.verisign.epp.serverstub.DomainHandler
    - - com.verisign.epp.serverstub.NamestoreExtDomainHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class NamestoreExtDomainHandler
      extends DomainHandler

  The `NamestoreExtDomainHandler` class extends `DomainHandler` to include responding with Namestore Extension attributes. Specifically, the sub-product is passed into the handler and is returned.
  Version:
    $Revision: 1.5 $
  Author:
    $Author: jim $
  See Also:
    `EPPEvent`, `EPPEventResponse`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamestoreExtDomainHandler()` Constructs an instance of NamestoreExtDomainHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doDomainCheck(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainCheck` method and add NameStore Extension to response.
    `protected EPPEventResponse` | `doDomainCreate(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainCreate` method and add NameStore Extension to response.
    `protected EPPEventResponse` | `doDomainDelete(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainDelete` method and add NameStore Extension to response.
    `protected EPPEventResponse` | `doDomainInfo(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainInfo` method and add NameStore Extension to response.
    `protected EPPEventResponse` | `doDomainRenew(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainRenew` method and add NameStore Extension to response.
    `protected EPPEventResponse` | `doDomainTransfer(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainTransfer` method and add NameStore Extension to response.
    `protected EPPEventResponse` | `doDomainUpdate(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainUpdate` method and add NameStore Extension to response.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Will ensure that the namestore extension is provided.

    - ### Methods inherited from class com.verisign.epp.serverstub.DomainHandler

      `postHandleEvent`

    - ### Methods inherited from class com.verisign.epp.framework.EPPDomainHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamestoreExtDomainHandler

          public NamestoreExtDomainHandler()

      Constructs an instance of NamestoreExtDomainHandler

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Will ensure that the namestore extension is provided.
      Overrides:
        `preHandleEvent` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doDomainCreate

          protected EPPEventResponse doDomainCreate(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Override base handler `doDomainCreate` method and add NameStore Extension to response.
      Overrides:
        `doDomainCreate` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainCheck

          protected EPPEventResponse doDomainCheck(EPPEvent aEvent,
                                                   java.lang.Object aData)

      Override base handler `doDomainCheck` method and add NameStore Extension to response.
      Overrides:
        `doDomainCheck` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainDelete

          protected EPPEventResponse doDomainDelete(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Override base handler `doDomainDelete` method and add NameStore Extension to response.
      Overrides:
        `doDomainDelete` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainInfo

          protected EPPEventResponse doDomainInfo(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Override base handler `doDomainInfo` method and add NameStore Extension to response.
      Overrides:
        `doDomainInfo` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainRenew

          protected EPPEventResponse doDomainRenew(EPPEvent aEvent,
                                                   java.lang.Object aData)

      Override base handler `doDomainRenew` method and add NameStore Extension to response.
      Overrides:
        `doDomainRenew` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainTransfer

          protected EPPEventResponse doDomainTransfer(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Override base handler `doDomainTransfer` method and add NameStore Extension to response.
      Overrides:
        `doDomainTransfer` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainUpdate

          protected EPPEventResponse doDomainUpdate(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Override base handler `doDomainUpdate` method and add NameStore Extension to response.
      Overrides:
        `doDomainUpdate` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.